Package org.eclipse.jgit.merge

## Enum ResolveMerger.MergeFailureReason

- java.lang.Object
- - java.lang.Enum<ResolveMerger.MergeFailureReason>
  - - org.eclipse.jgit.merge.ResolveMerger.MergeFailureReason

All Implemented Interfaces:
  `Serializable`, `Comparable<ResolveMerger.MergeFailureReason>`

Enclosing class:
  ResolveMerger

    public static enum ResolveMerger.MergeFailureReason
    extends Enum<ResolveMerger.MergeFailureReason>

If the merge fails (means: not stopped because of unresolved conflicts) this enum is used to explain why it failed

### Enum Constant Summary

Enum Constants
`COULD_NOT_DELETE` the merge failed because of a file could not be deleted
`DIRTY_INDEX` the merge failed because of a dirty index
`DIRTY_WORKTREE` the merge failed because of a dirty workingtree

### Method Summary

All Methods Static Methods Concrete Methods
`static ResolveMerger.MergeFailureReason` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ResolveMerger.MergeFailureReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIRTY_INDEX

    public static final ResolveMerger.MergeFailureReason DIRTY_INDEX

the merge failed because of a dirty index

#### DIRTY_WORKTREE

    public static final ResolveMerger.MergeFailureReason DIRTY_WORKTREE

the merge failed because of a dirty workingtree

#### COULD_NOT_DELETE

    public static final ResolveMerger.MergeFailureReason COULD_NOT_DELETE

the merge failed because of a file could not be deleted

### Method Detail

#### values

    public static ResolveMerger.MergeFailureReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResolveMerger.MergeFailureReason c : ResolveMerger.MergeFailureReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResolveMerger.MergeFailureReason valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null